# $Revision: 1.40 $, $Date: 2002/02/23 04:32:21 $
Summary:	GTK+ binding for librep Lisp environment
Summary(es):	Conjuntos de componentes GTK para el ambiente LISP librep
Summary(pl):	Interfejs GTK+ do rodowiska Lispa librep
Summary(pt_BR):	Conjuntos de componentes GTK para o ambiente LISP librep
Name:		rep-gtk
Version:	0.15
Release:	8
Epoch:		1
License:	GPL
Group:		Development/Languages
Source0:	ftp://rep-gtk.sourceforge.net/pub/rep-gtk/%{name}-%{version}.tar.gz
Patch0:		rep-gdkcolor.patch
URL:		http://rep-gtk.sourceforge.net/
BuildRequires:	librep-devel >= 0.13
BuildRequires:	gtk+-devel >= 1.2
BuildRequires:	libglade-devel
BuildRequires:	gnome-libs-devel
BuildRequires:	autoconf
BuildRequires:	automake
%define		repexecdir	%(rep-config --execdir)
Requires:	%{repexecdir}
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)

%define		_libexecdir	%{_libdir}

%description
This is a binding of GTK+ for the librep Lisp interpreter. It is based
on Marius Vollmer's guile-gtk package (initially version 0.15, updated
to 0.17), with a new glue-code generator.

%description -l es
Este paquete contiene un conjunto de componentes GTK para el
interpretador LISP librep. Se basa en el paquete guile-gtk, con un
nuevo generador de cdigo intermediario.

%description -l pl
To jest interfejs GTK+ do interpretera Lispa librep. Bazuje na
pakiecie guile-gtk Mariusa Vollmera (pocztkowo wersji 0.15, pniej
uaktualniono do 0.17) z nowym generatorem kodu.

%description -l pt_BR
Esse pacote contm um conjunto de componentes GTK para o interpretador
LISP librep. Ele  baseado no pacote guile-gtk, com um novo gerador de
cdigo intermedirio.

%package libglade
Summary:	librep binding for the libglade library for loading user interfaces
Summary(es):	librep binding for the libglade library for loading user interfaces
Summary(pl):	Interfejs librep do biblioteki libglade
Summary(pt_BR):	Vnculos librep para a biblioteca libglade para carregamento de interfaces de usurio
Group:		Development/Languages
Requires:	%{name} = %{version}

%description libglade
This is a binding of libglade for the librep Lisp interpreter.
libglade allows applications to dynamically load XML descriptions of
GTK+ widget hierarchies. These hierarchies may be created by the GLADE
GUI builder.

%description libglade -l es
This is a binding of libglade for the librep Lisp interpreter.
libglade allows applications to dynamically load XML descriptions of
GTK+ widget hierarchies. These hierarchies may be created by the GLADE
GUI builder.

%description libglade -l pl
To jest interfejs libglade do interpretera Lispa librep. libglade
pozwala aplikacjom dynamicznie wczytywa opisy XML hierarchii widgetw
GTK+.

%description libglade -l pt_BR
Este  um bind da libglade para o interpretador librep Lisp. A
libglade permite que as aplicaes carreguem dinamicamente as
descries XML das hierarquias de elementos grficos (widgets) GTK+.
Essas hierarquias podem ser criadas com o GLADE GUI builder.

%package gnome
Summary:	GNOME binding for librep
Summary(es):	GNOME binding for librep
Summary(pl):	Interfejs GNOME do librep
Summary(pt_BR):	GNOME binding for librep
Group:		Development/Languages
Requires:	%{name} = %{version}

%description gnome
This is a binding of the various GNOME libraries for the librep Lisp
interpreter. It include support for the basic GNOME functions, the
GNOME user interface widgets, and the GNOME Canvas architecture.

%description gnome -l es
This is a binding of the various GNOME libraries for the librep Lisp
interpreter. It include support for the basic GNOME functions, the
GNOME user interface widgets, the GNOME Canvas architecture, and the
GNOME version of libglade.

%description gnome -l pl
To jest interfejs rnych bibliotek GNOME do interpretera Lispa
librep. Zawiera wsparcie dla podstawowych funkcji GNOME, widgetw
interfejsu uytkownika GNOME, architektury GNOME Canvas.

%description gnome -l pt_BR
Este  um bind das vrias bibliotecas GNOME para o interpretador
librep Lisp. Inclui suporte s funes bsicas do GNOME, os elementos
grficos (widgets) da interface de usurio GNOME, a arquitetura GNOME
Canvas, e a verso GNOME da libglade.

%prep
%setup -q
%patch0 -p1

%build
autoconf
cp -f /usr/share/automake/config.* .
%configure \
	--without-static
%{__make}

%install
rm -rf $RPM_BUILD_ROOT

%{__make} install DESTDIR=$RPM_BUILD_ROOT

gzip -9nf README README.guile-gtk ChangeLog *.defs

%clean
rm -rf $RPM_BUILD_ROOT

%files
%defattr(644,root,root,755)
%doc README.gz README.guile-gtk.gz ChangeLog.gz *.defs.gz

%dir %{repexecdir}/gui

%attr(755,root,root) %{repexecdir}/sgtk-types.so
%attr(755,root,root) %{repexecdir}/sgtk-types.la
%attr(755,root,root) %{repexecdir}/gtk.so
%attr(755,root,root) %{repexecdir}/gtk.la
%attr(755,root,root) %{repexecdir}/gdk-pixbuf.so
%attr(755,root,root) %{repexecdir}/gdk-pixbuf.la

%dir %{repexecdir}/gui/gtk

%attr(755,root,root) %{repexecdir}/gui/gtk.so
%attr(755,root,root) %{repexecdir}/gui/gtk.la

%attr(755,root,root) %{repexecdir}/gui/gtk/gdk-pixbuf.la
%attr(755,root,root) %{repexecdir}/gui/gtk/gdk-pixbuf.so
%attr(755,root,root) %{repexecdir}/gui/gtk/gtk.la
%attr(755,root,root) %{repexecdir}/gui/gtk/gtk.so
%attr(755,root,root) %{repexecdir}/gui/gtk/types.la
%attr(755,root,root) %{repexecdir}/gui/gtk/types.so

%files libglade
%defattr(644,root,root,755)
%doc libglade.defs.gz examples/test-libglade examples/simple.glade
%doc examples/rep-ui examples/rep-ui.glade
%attr(755,root,root) %{repexecdir}/libglade.so
%attr(755,root,root) %{repexecdir}/libglade.la
%attr(755,root,root) %{repexecdir}/gui/gtk/libglade.la
%attr(755,root,root) %{repexecdir}/gui/gtk/libglade.so

%files gnome
%defattr(644,root,root,755)
%doc examples/gnome-test examples/canvas-test

%attr(755,root,root) %{repexecdir}/gnome*.so
%attr(755,root,root) %{repexecdir}/gnome*.la
%attr(755,root,root) %{repexecdir}/libglade-gnome.so*
%attr(755,root,root) %{repexecdir}/libglade-gnome.la

%dir %{repexecdir}/gui/gnome

%attr(755,root,root) %{repexecdir}/gui/gnome.so
%attr(755,root,root) %{repexecdir}/gui/gnome.la
%attr(755,root,root) %{repexecdir}/gui/gnome/canvas-pixbuf.la
%attr(755,root,root) %{repexecdir}/gui/gnome/canvas-pixbuf.so
%attr(755,root,root) %{repexecdir}/gui/gnome/canvas.la
%attr(755,root,root) %{repexecdir}/gui/gnome/canvas.so
%attr(755,root,root) %{repexecdir}/gui/gnome/lib.la
%attr(755,root,root) %{repexecdir}/gui/gnome/lib.so
%attr(755,root,root) %{repexecdir}/gui/gnome/libglade.la
%attr(755,root,root) %{repexecdir}/gui/gnome/libglade.so
%attr(755,root,root) %{repexecdir}/gui/gnome/ui.la
%attr(755,root,root) %{repexecdir}/gui/gnome/ui.so

%define date	%(echo `LC_ALL="C" date +"%a %b %d %Y"`)
%changelog
* %{date} PLD Team <feedback@pld.org.pl>
All persons listed below can be reached at <cvs_login>@pld.org.pl

$Log: rep-gtk.spec,v $
Revision 1.40  2002/02/23 04:32:21  kloczek
- adapterized.

Revision 1.39  2002/02/22 23:29:40  kloczek
- removed all Group fields translations (oure rpm now can handle translating
  Group field using gettext).

Revision 1.38  2002/02/08 22:17:48  filon
- copy new config.sub and .guess fro automake dir (needed for athlon)
- release 8

Revision 1.37  2002/01/18 02:14:48  kloczek
perl -pi -e "s/pld-list\@pld.org.pl/feedback\@pld.org.pl/"

Revision 1.36  2001/10/22 18:48:56  kloczek
- release 7: merge translations from CNV.

Revision 1.35  2001/10/11 13:59:54  qboosh
- pl translations, BuildRequires: autoconf

Revision 1.34  2001/05/18 06:01:52  kloczek
- not this line moved :>

Revision 1.33  2001/05/18 06:01:09  kloczek
- ops move declaration %%{repexecdir} macro above "Requires: %%{repexecdir}".

Revision 1.32  2001/05/18 05:52:25  kloczek
- reelase 6: move %{repexecdir} macro below preamble - BuildRequires
  rules must be analized on first.

Revision 1.31  2001/05/16 09:18:33  wiget
- define and use %%{repexecdir} macro
- release 5

Revision 1.30  2001/04/13 23:35:18  baggins
- ln -s  -> ln -sf

Revision 1.29  2001/04/13 23:32:04  baggins
- release 4
- libexec -> lib

Revision 1.28  2000/12/19 07:57:31  kloczek
- release 3, Epoch: 1 (for allow upgrade from RH).

Revision 1.27  2000/12/06 16:45:36  kloczek
- updated to 0.15.

Revision 1.26  2000/11/02 13:31:38  wrobell
- added missing but required symlinks

Revision 1.25  2000/11/02 04:33:18  wrobell
- updated file list

Revision 1.24  2000/11/02 01:04:23  wrobell
- updated file list

Revision 1.23  2000/10/31 08:33:45  kloczek
- removed librep-jl from BuildRequires.

Revision 1.22  2000/10/31 06:39:55  kloczek
- release 2: rebuild against gnome-libs linked with db3.

Revision 1.21  2000/10/02 15:07:04  kloczek
- use new rpm automation suit.

Revision 1.20  2000/09/26 04:48:01  kloczek
- updated to 0.14.

Revision 1.19  2000/07/13 02:24:59  kloczek
- updated to 0.13a.

Revision 1.18  2000/07/04 20:55:34  kloczek
- added missing libglade-gnome.* to glade subpackage.

Revision 1.17  2000/07/04 18:06:27  kloczek
- removed commented Patch1.

Revision 1.16  2000/07/04 16:32:45  klakier
- patch #1 rejected

Revision 1.15  2000/07/04 16:30:51  klakier
- ver 0.12

Revision 1.14  2000/06/09 07:55:10  kloczek
- more %%{__make} macros.

Revision 1.13  2000/06/09 07:23:58  kloczek
- added using %%{__make} macro.

Revision 1.12  2000/05/30 14:02:20  bonkey
- added temporary patch to compile it with libglade 0.13

Revision 1.11  2000/05/23 22:07:14  kloczek
- release 2,
- spec adapterized.

Revision 1.10  2000/05/10 22:20:27  kloczek
- updated to 0.10,
- new Source url and URL,
- added gdkcolor patch (remove some gdk_*() redefinitions),
- removed duplicated Summary in gnome subpackage.

Revision 1.9  2000/04/01 11:15:39  zagrodzki
- changed all BuildRoot definitons
- removed all applnkdir defs
- changed some prereqs/requires
- removed duplicate empty lines

Revision 1.8  2000/03/28 16:55:06  baggins
- translated kloczkish into english

Revision 1.7  2000/03/06 18:24:43  kloczek
- typo (s/librep-js/librep-jl/).

Revision 1.6  2000/03/06 17:40:43  kloczek
- added librep-js >= 0.11 to BuildRequires.

Revision 1.5  2000/03/06 16:09:21  kloczek
- librep-devel >= 0.11.

Revision 1.4  2000/03/06 16:08:51  kloczek
- updated to 0.9.1,
- added gnome subpackage.

Revision 1.3  2000/01/21 18:11:27  kloczek
- updated to 0.8,
- completly rewrited in PLD style,
- added libglade subpackage.

* Fri Sep 17 1999 John Harper <john@dcs.warwick.ac.uk>
- specify installdir when installing

* Tue Sep 14 1999 Aron Griffis <agriffis@bigfoot.com>
- 0.4 spec file update: added buildroot
